# Crea tu Ambiente de Desarrollo y Despliegue con Kubernetes y VSCode Tunnels

[Link de la Presentación](https://drive.synology.p-lao.com/d/s/13edn9I29HKOlNrycSma1FbaoiO9VC3o/3YOMfy0KxkE1Zsf6qrNLZ8k0JJLhTQCD-RbgAePebVQw)

## Índice General

### Parte 1: Set up del Cluster de Kubernetes

La siguiente guía describe cómo configurar un Cluster de Kubernetes utilizando MicroK8s en máquinas virtuales. Sin embargo, esta configuración es opcional. También puedes optar por usar servicios de Cloud como EKS (AWS), GKS (Google Cloud), o el servicio de Kubernetes de DigitalOcean para crear tu Cluster de Kubernetes.

1. [Preparación del sistema](./docs/set-up-cluster/preparacion-sistema.md)
2. [Configuración básica del sistema](./docs/set-up-cluster/configuracion-basica.md)
3. [Configuración de MicroK8s](./docs/set-up-cluster/configuracion-microk8s.md)
4. [Crear alias para kubectl](./docs/set-up-cluster/crear-alias-kubectl.md)
5. [Unir nodos al cluster](./docs/set-up-cluster/unir-nodos-cluster.md)
6. [Configuración de roles en los nodos](./docs/set-up-cluster/configuracion-roles-nodos.md)
7. [Configuración de Servidor (API) y Cliente de kubectl](./docs/set-up-cluster/configuracion-api-cliente.md)
8. [Agregando volumen con NFS](./docs/set-up-cluster/agregar-volumen-nfs.md)

### Parte 2: [Set Up VSCode Tunnel](./docs/set-up-vscode-tunnel/crear-entorno-vscode-tunnel.md)

### Parte 3: [Usa Flux para GitOps](./docs/set-up-flux/instala-y-usa-flux.md)

